# Create a direct debit account

Register a new external bank account for funding batch transfers via direct debit.

Endpoint: POST /v1/profiles/{profileId}/direct-debit-accounts
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    Your profile ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `currency` (string)
    Currency of the bank account. 3-character currency code — `USD` for ACH direct debits, `CAD` for EFT direct debits.
    Example: USD

  - `type` (string)
    Payment type for which the account is used.
- `ACH` — US direct debit (USD)
- `EFT` — CA direct debit (CAD)
    Enum: "ACH", "EFT"

  - `details` (object)
    Bank account details.

  - `details.routingNumber` (string)
    A valid ABA routing number. For CAD direct debits, the routing number is a combination of an institution number + transit number.
    Example: 000000000

  - `details.accountNumber` (string)
    A valid bank account number.
    Example: 0000000000

  - `details.accountType` (string)
    Bank account type.
- `CHECKING` — Checking account (USD, CAD)
- `SAVINGS` — Savings account (USD, CAD)
    Enum: "CHECKING", "SAVINGS"

## Response 200 fields (application/json):

  - `id` (integer)
    Direct debit account ID
    Example: 1

  - `currency` (string)
    Currency of the bank account. 3-character currency code — `USD` for ACH, `CAD` for EFT
    Example: USD

  - `type` (string)
    Payment type for which the account is used.
- `ACH` — US direct debit (USD)
- `EFT` — CA direct debit (CAD)
    Enum: "ACH", "EFT"

  - `details` (object)
    Bank account details

  - `details.routingNumber` (string)
    A valid ABA routing number. For CAD direct debits, the routing number is a combination of an institution number + transit number
    Example: 000000000

  - `details.accountNumber` (string)
    A valid bank account number
    Example: 0000000000

  - `details.accountType` (string)
    Bank account type.
- `CHECKING` — Checking account (USD, CAD)
- `SAVINGS` — Savings account (USD, CAD)
    Enum: "CHECKING", "SAVINGS"

